<?php
/**
* クラス未定義例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
require_once( 'CharcoalException.class.php' );

class ClassNotFoundException extends CharcoalException
{
	public function __construct( $class_name, $file_name = NULL, $message = NULL )
	{
		$msg = "[class_name]$class_name";
		if ( $file_name ){
			$msg .= " [file_name]$file_name";
		}
		if ( $message ){
			$msg .= " [message]$message";
		}

		parent::__construct( $msg );
	}


}